org.apache.cassandra.io.util

## Class BufferedSegmentedFile

- java.lang.Object
- - org.apache.cassandra.io.util.SegmentedFile
  - - org.apache.cassandra.io.util.BufferedSegmentedFile

    public class BufferedSegmentedFile
    extends SegmentedFile

### Nested Class Summary

Nested Classes
`static class` `BufferedSegmentedFile.Builder`

### Field Summary

### Fields inherited from class org.apache.cassandra.io.util.SegmentedFile

`length, onDiskLength, path`

### Constructor Summary

Constructors
Constructor and Description
`BufferedSegmentedFile(java.lang.String path, long length)`

### Method Summary

Methods
`void` `cleanup()` Do whatever action is needed to reclaim ressources used by this SegmentedFile.
`FileDataInput` `getSegment(long position)`

### Methods inherited from class org.apache.cassandra.io.util.SegmentedFile

`getBuilder, getCompressedBuilder, iterator, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BufferedSegmentedFile

    public BufferedSegmentedFile(java.lang.String path,
                         long length)

### Method Detail

#### getSegment

    public FileDataInput getSegment(long position)

Specified by:
  `getSegment` in class `SegmentedFile`

#### cleanup

    public void cleanup()

Description copied from class: `SegmentedFile`
Do whatever action is needed to reclaim ressources used by this SegmentedFile.

Specified by:
  `cleanup` in class `SegmentedFile`